suffix_node Class Reference

## Public Member Functions

| suffix_node (int b, int *e, suffix_node *p, suffix_node *l)
bool | is_leaf_node ()
bool | contains_child (int ext)
int | get_length ()
int | get_depth ()
std::string | get_longest_common_substring (std::string s1, std::string s2)
std::string | get_path (std::string s)
void | extend_path (int *e)
suffix_node * | add_child (int ext, int b, int *e, suffix_node *l)
void | add_child (suffix_node *c, int ext)
suffix_node * | get_child (int ext)
bool | contains_depth (int depth)
void | print (std::string s)
bool | walk_next (int &beg, int &suffix_length)

## Public Attributes

int | begin
int | nchildren
int * | end
suffix_node ** | children
suffix_node * | parent
suffix_node * | suffix_link

The documentation for this class was generated from the following files:

- src/suffix_tree.h
- src/suffix_tree.cpp